Method: projects.locations.domains.list

Lists the topology domains available in a specific location. Only global location is supported.

HTTP request

GET https://apptopology.googleapis.com/v1/{parent=projects/*/locations/*}/domains

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent location to list domains for. Format: projects/{project}/locations/{location} Only global location is supported.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of domains to return. The service may return fewer than this value. If unspecified, at most 50 domains will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous domains.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to domains.list must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response for domains.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "domains": [
    {
      object (Domain)
    }
  ],
  "nextPageToken": string
}
Fields
domains[]

object (Domain)

The domains in the specified location.

nextPageToken

string

A token that can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/apptopology.read-write
  • https://www.googleapis.com/auth/apptopology.read-only

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • apptopology.domains.list

For more information, see the IAM documentation.